
Application: gvSIG desktop - gvSIG bugs #1567
Radiometric enhancement with large images does not work
01/25/2013 08:46 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.0.0-rc5
Severity: Add-on version: 2064
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Tested image 13564x5491 px

Exception in thread "Thread-10" java.lang.OutOfMemoryError: Java heap space
    at org.gvsig.raster.impl.grid.filter.statistics.TailTrimShortFilter.pre(TailTrimShortFilter.java:41)
    at org.gvsig.fmap.dal.coverage.grid.filter.BaseRasterFilter.execute(BaseRasterFilter.java:79)
    at org.gvsig.raster.impl.grid.filter.DefaultRasterFilterList.executeFilterByDataType(DefaultRasterFilterList.java:442)
    at org.gvsig.raster.impl.grid.filter.DefaultRasterFilterList.execute(DefaultRasterFilterList.java:465)
    at org.gvsig.raster.impl.grid.GridImpl.applyFilters(GridImpl.java:1147)
    at org.gvsig.raster.tools.app.basic.raster.process.FilterProcess.process(FilterProcess.java:169)
    at org.gvsig.raster.tools.app.basic.raster.process.RasterProcess.execute(RasterProcess.java:136)
    at org.gvsig.raster.tools.app.basic.raster.process.RasterProcess.run(RasterProcess.java:148)
    at java.lang.Thread.run(Thread.java:619)

History
#1 - 01/25/2013 08:55 AM - Ignacio Brodín

It happens when the image loaded has a enhanced with tail trim applied on the view before open the dialog

#2 - 01/25/2013 09:54 AM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on version set to 2064

gvsig-raster:r1425

#3 - 02/06/2013 10:53 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc5

#4 - 02/26/2014 12:33 PM - Álvaro Anguix
- Status changed from Fixed to Closed
